=== debian/changelog ===
libnfc (1.7.0-3) unstable; urgency=low

  [ Ludovic Rousseau ]
  * update debian/watch: update the URL to make uscan work again

  [ Nobuhiro Iwamatsu ]
  * Install blacklist-libnfc.conf to etc/modprobe.d.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 05 Oct 2013 07:54:27 +0900

libnfc (1.7.0-2) unstable; urgency=low

  * Update debian/control.
    - Add Replaces and Breaks for libnfc4.
    - Update Vcs-Git and Vcs-Browser field.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 18 Sep 2013 13:55:20 +0900

libnfc (1.7.0-1) unstable; urgency=low
  
  * Upload to Debian. (Closes: #722066)
  * Add patches/0001-Add-support-kFreeBSD.patch.
    Fix build on kFreeBSD.
  * Update debian/control.
    Add Ludovic Rousseau to Uploaders.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 09 Sep 2013 13:10:26 +0900

libnfc (1.7.0-0) UNRELEASED; urgency=low

  * New upstream release

 -- yobibe <yobibe@gmail.com>  Fri, 3 Sep 2013 16:42:42 +0100

libnfc (1.7.0~rc7-1) unstable; urgency=low

  * Upload to Debian. (Closes: #672795)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 28 Aug 2013 12:49:12 +0900

libnfc (1.7.0~rc7-0) UNRELEASED; urgency=low

  * New upstream release

 -- yobibe <yobibe@gmail.com>  Fri, 5 Apr 2013 12:42:42 +0100

libnfc (1.7.0~rc6-0) UNRELEASED; urgency=low

  * New upstream release

 -- yobibe <yobibe@gmail.com>  Sun, 3 Mar 2013 12:42:42 +0100

libnfc (1.7.0~rc5-0) UNRELEASED; urgency=low

  * New upstream release

 -- Romuald Conty <romuald@libnfc.org>  Sat, 16 Feb 2013 15:42:42 +0100

libnfc (1.7.0~rc4-0) UNRELEASED; urgency=low

  * New upstream release

 -- yobibe <yobibe@gmail.com>  Wed, 6 Feb 2013 12:42:42 +0100

libnfc (1.7.0~rc2-0) UNRELEASED; urgency=low

  * New upstream release

 -- Romuald Conty <romuald@libnfc.org>  Sun, 20 Jan 2013 12:42:42 +0100

libnfc (1.7.0~rc1-0) UNRELEASED; urgency=low

  * New upstream release

 -- Romuald Conty <romuald@libnfc.org>  Thu, 9 Dec 2012 12:42:42 +0100

libnfc (1.6.0rc1-0) UNRELEASED; urgency=low

  * New upstream release

 -- Romuald Conty <romuald@libnfc.org>  Mon, 27 Feb 2012 12:42:42 +0100

libnfc (1.5.1pre2.1-0) UNRELEASED; urgency=low

  * udev rules file renamed accordingly to udev's readme file

 -- Romuald Conty <romuald@libnfc.org>  Fri, 9 Dec 2011 15:42:42 +0100

libnfc (1.5.1-0) UNRELEASED; urgency=low

  * Move nfc-emulate-nfcforum-tag2, nfc-emulate-nfcforum-tag4 and
     nfc-relay-picc from libnfc-examples to libnfc-bin package.
  * Add nfc-read-forum-tag3 to libnfc-bin package.

 -- Romuald Conty <romuald@libnfc.org>  Mon, 10 Oct 2011 02:42:42 +0100

libnfc (1.5.0pre1.4-0) UNRELEASED; urgency=low

  * All drivers are now enabled under Debian;
  * Add nfc-emulate-nfcforum-tag2 and nfc-mfsetuid to libnfc-examples.

 -- Romuald Conty <romuald@libnfc.org>  Tue, 13 May 2011 15:42:42 +0100

libnfc (1.5.0pre1.3-0) UNRELEASED; urgency=low

  * Update debian/copyright.

 -- Romuald Conty <romuald@libnfc.org>  Wed, 18 May 2011 12:42:42 +0100

libnfc (1.5.0pre1.2-0) UNRELEASED; urgency=low

  * Change name of lib to libnfc2 to match SONAME major version 2.

 -- Thomas Hood <jdthood@gmail.com>  Fri, 13 May 2011 12:00:00 +0100

libnfc (1.5.0pre1.1-0) UNRELEASED; urgency=low

  * Change name of lib to libnfc1 to match SONAME major version 1.
  * Change section and priority.
  * Don't depend on automake which doesn't get run on build.
    (Instead, automake-generated files are included in patches/.)
  * Set debian/source/format contents to "3.0 (quilt)"
  * chmod ugo+x ./configure in debian/rules.
  * Depend on debhelper (>= 7) to match debian/compat.
  * Make the following changes that were suggested by lintian.
  * Depend on ${misc:Depends} since we use debhelper.
  * Use dh_prep instead of dh_clean -k.

 -- Thomas Hood <jdthood@gmail.com>  Mon, 10 May 2011 12:00:00 +0100

libnfc (1.5.0-0) UNRELEASED; urgency=low

  * Experimental released version (r1019).

 -- Romuald Conty <romuald@libnfc.org>  Mon, 29 Apr 2011 11:42:42 +0100

libnfc (1.4.2-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Tue, 21 Feb 2011 11:42:42 +0100

libnfc (1.4.1-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Tue, 1 Feb 2011 10:42:42 +0100

libnfc (1.4.0-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Tue, 26 Oct 2010 16:42:42 +0100

libnfc (1.3.9-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Tue, 31 Aug 2010 14:42:42 +0100

libnfc (1.3.4-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Wed, 31 Mar 2010 12:42:42 +0100

libnfc (1.3.3-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Thu, 17 Feb 2010 15:42:42 +0100

libnfc (1.3.2-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Fri, 29 Jan 2010 15:42:42 +0100

libnfc (1.3.1-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Mon, 25 Jan 2010 11:42:42 +0100

libnfc (1.3.0-0) UNRELEASED; urgency=low

  * New upstream release.

 -- Romuald Conty <romuald@libnfc.org>  Thu, 14 Jan 2010 16:42:42 +0100

libnfc (1.2.1-4) UNRELEASED; urgency=low

  * Add udev rules for USB PN53x.

 -- Romuald Conty <romuald@libnfc.org>  Fri, 20 Nov 2009 16:42:42 +0100

libnfc (1.2.1-3) UNRELEASED; urgency=low

  * Don't use CDBS anymore, should now cross compile.

 -- Romuald Conty <romuald@libnfc.org>  Thu, 29 Sep 2009 9:42:42 +0100

libnfc (1.2.1-2) UNRELEASED; urgency=low

  * Add missing dependencies for ACR122 devices (pcscd).

 -- Romuald Conty <romuald@libnfc.org>  Fri, 23 Sep 2009 16:42:42 +0100

libnfc (1.2.1-1) UNRELEASED; urgency=low

  * Description have been updated.
  * Provided binairies should not be consider as tools but as examples.

 -- Romuald Conty <romuald@libnfc.org>  Fri, 03 Sep 2009 18:42:42 +0100


