=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# "nocheck" option prevents from running tests (which need dedicated hardware)
export DEB_BUILD_OPTIONS=nocheck

# --enable-debug --with-drivers=all
confflags := --disable-silent-rules \
	--prefix=/usr \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	$(NULL)
confflags += $(shell dpkg-buildflags --export=configure)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_configure: 
	dh_auto_configure -- $(confflags)

%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip -plibnfc5 --dbg-package=libnfc5-dbg
	dh_strip --remaining-packages
