=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/libnfc/downloads/list .*/libnfc-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
