## libnfc 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 SET(VERSION_MAJOR "1")
 SET(VERSION_MINOR "7")
-SET(VERSION_PATCH "0")
+SET(VERSION_PATCH "1")
 
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
@@ -48,6 +48,11 @@
 ELSE(LIBNFC_DEBUG_MODE)
   SET(WIN32_MODE "release")
 ENDIF(LIBNFC_DEBUG_MODE)
+
+SET(LIBNFC_CONFFILES_MODE ON CACHE BOOL "Enable configuration files")
+IF(LIBNFC_CONFFILES_MODE)
+  ADD_DEFINITIONS(-DCONFFILES)
+ENDIF(LIBNFC_CONFFILES_MODE)
 
 # Doxygen
 SET(builddir "${CMAKE_BINARY_DIR}")
@@ -134,6 +139,7 @@
   # Date for filling in rc file information
   MACRO (GET_CURRENT_YEAR RESULT)
     EXECUTE_PROCESS(COMMAND "cmd" " /C date /T" OUTPUT_VARIABLE ${RESULT})
+    STRING(REGEX REPLACE "\n" "" ${RESULT} ${${RESULT}})
     STRING(REGEX REPLACE ".*(..)/(..)/(....).*" "\\3" ${RESULT} ${${RESULT}})
   ENDMACRO (GET_CURRENT_YEAR)
   GET_CURRENT_YEAR(CURRENT_YEAR)
