=== include/CMakeLists.txt ===
ADD_SUBDIRECTORY(nfc)
