=== debian/changelog ===
libnfc (1.7.1-4) unstable; urgency=medium

  * Update debian/watch to track new upstream releases on github
    (the project moved away from code.google.com).
  * Update Source section in copyright file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Oct 2015 00:21:44 +0900

libnfc (1.7.1-3) unstable; urgency=medium

  * Install libnfc.conf to /etc/nfc. (Closes: #776225)
  * Bump Standards-Version to 3.9.6.
  * Update copytight.
    Fix lintian warning: dep5-copyright-license-name-not-unique.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Jun 2015 09:01:42 +0900

libnfc (1.7.1-2) unstable; urgency=medium

  * Fix timeout message from ACR122U.
    Add patches/fix_timeout_message_with_ACR122U.patch. (Closes: #759355)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Sep 2014 03:14:23 +0900

libnfc (1.7.1-1) unstable; urgency=low

  * New upstream released.
  * Remove debian/patches.
  * Update debian/control.
    - Update Standards-Version to 3.9.5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 Mar 2014 09:07:14 +0900
