=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libtool, pkg-config, libusb-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.nfc-tools.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libnfc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libnfc.git;a=summary
