=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,9 @@
   nfc-mfsetuid
   nfc-poll
   nfc-relay
+  pn53x-diagnose
+  pn53x-sam
+  pn53x-tamashell
 )
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../libnfc)
