=== libnfc/CMakeLists.txt ===
--- 
+++ 
@@ -47,16 +47,6 @@
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/buses)
 
-IF(WIN32)
-  # Windows now requires regex, so we utilize PCRE
-  # since Windows doesn't get the benefit of finding in CMake
-  # it has to be added manually
-  IF(PCRE_FOUND)
-    INCLUDE_DIRECTORIES(${PCRE_INCLUDE_DIRS})
-    LINK_DIRECTORIES(${PCRE_LIBRARY_DIRS})
-  ENDIF(PCRE_FOUND)
-ENDIF(WIN32)
-
 IF(PCSC_FOUND)
   INCLUDE_DIRECTORIES(${PCSC_INCLUDE_DIRS})
   LINK_DIRECTORIES(${PCSC_LIBRARY_DIRS})
@@ -89,18 +79,19 @@
   TARGET_LINK_LIBRARIES(nfc ${LIBUSB_LIBRARIES})
 ENDIF(LIBUSB_FOUND)
 
-SET_TARGET_PROPERTIES(nfc PROPERTIES SOVERSION 0)
+IF(LIBRT_FOUND)
+  TARGET_LINK_LIBRARIES(nfc ${LIBRT_LIBRARIES})
+ENDIF(LIBRT_FOUND)
+
+SET_TARGET_PROPERTIES(nfc PROPERTIES SOVERSION 6 VERSION 6.0.0)
 
 IF(WIN32)
   # Libraries that are windows specific
   TARGET_LINK_LIBRARIES(nfc wsock32)
-  IF(PCRE_FOUND)
-    TARGET_LINK_LIBRARIES(nfc ${PCRE_LIBRARIES})
-  ENDIF(PCRE_FOUND)
 
   ADD_CUSTOM_COMMAND(
     OUTPUT libnfc.lib
-    COMMAND dlltool -d ${CMAKE_CURRENT_SOURCE_DIR}/../contrib/win32/nfc.def -l ${CMAKE_CURRENT_BINARY_DIR}/libnfc.lib ${CMAKE_CURRENT_BINARY_DIR}/libnfc.dll
+    COMMAND ${DLLTOOL} -d ${CMAKE_CURRENT_SOURCE_DIR}/../contrib/win32/nfc.def -l ${CMAKE_CURRENT_BINARY_DIR}/libnfc.lib ${CMAKE_CURRENT_BINARY_DIR}/libnfc.dll
     DEPENDS nfc ${CMAKE_CURRENT_SOURCE_DIR}/../contrib/win32/nfc.def
   )
   ADD_CUSTOM_TARGET(win32lib ALL DEPENDS libnfc.lib)
