=== debian/changelog ===
libnfc (1.8.0-3.1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:46:13 +0200

libnfc (1.8.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Release to unstable. Includes UsrMerge DEP17 P7 mitigation
    (Closes: #1057358)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 10 Dec 2023 12:46:00 +0100

libnfc (1.8.0-3) experimental; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Drop unnecessary dependency on dh-autoreconf.
  * Fix day-of-week for changelog entries 1.7.0-0, 1.7.0~rc1-0, 1.5.0pre1.4-0,
    1.5.0pre1.1-0, 1.5.0-0, 1.4.2-0, 1.3.3-0, 1.2.1-3, 1.2.1-2, 1.2.1-1.
  * Update standards version to 4.6.2, no changes needed.

  [ Utkarsh Gupta ]
  * Install 93-pn53x.rules into /usr, with protective diversion.
    (DEP17 P7 M10)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 24 Nov 2023 15:12:37 +0000

libnfc (1.8.0-2) unstable; urgency=medium

  * new build to do a source only upload

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 16 Aug 2020 12:11:21 +0200

libnfc (1.8.0-1) unstable; urgency=medium

  * New upstream released.
  * Fix "New upstream version: 1.8.0" (Closes: #961229)
  * d/libnfc5.install: contrib/udev/42-pn53x.rules renamed 93-pn53x.rules
  * d/control: remove libnfc5-dbg package
    libnfc source: debian-control-has-obsolete-dbg-package libnfc5-dbg
  * d/control: add Rules-Requires-Root: no
    libnfc source: silent-on-rules-requiring-root
  * d/changelog: remove trailing-whitespace
  * d/rules: remove trailing-whitespace
  * d/copyright: use https for copyright format
  * d/control: use priority optional instead of (deprecated) extra
  * d/control: use debhelper compat level 13
  * d/control: use libnfc6 instead of libnfc5
  * d/p/fix_timeout_message_with_ACR122U.patch: refresh
  * Include new binaries nfc-jewel & nfc-barcode
  * d/control: remove now useless Build-Depends: dh-autoreconf
  * d/libnfc6.symbols: add new symbols
  * d/rules: use DEB_BUILD_MAINT_OPTIONS instead of DEB_BUILD_OPTIONS
  * d/libnfc6.symbols: add missing * Build-Depends-Package:libnfc-dev
  * d/rules: use DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * d/*.install: remove debian/tmp/ from filenames
  * d/control: Standards-Version: 3.9.6 -> 4.5.0. No more change needed.
  * d/rules: strip every packages

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 09 Aug 2020 16:58:37 +0200
